ClosureRenderer (Groovy 5.1.0)

Package: groovy.swing.impl

## [Java] Class ClosureRenderer

- groovy.swing.impl.ClosureRenderer

- All Implemented Interfaces and Traits:
    ListCellRenderer, TableCellRenderer, TreeCellRenderer

      public class ClosureRenderer
      extends Object
      implements ListCellRenderer, TableCellRenderer, TreeCellRenderer

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ClosureRenderer()`
    `ClosureRenderer(Closure c)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public List` | `getChildren()`
    `` | `public int` | `getColumn()`
    `` | `public JList` | `getList()`
    `` | `public Component` | `getListCellRendererComponent(JList list, Object value, int index, boolean isSelected, boolean cellHasFocus)`
    `` | `public int` | `getRow()`
    `` | `public JTable` | `getTable()`
    `` | `public Component` | `getTableCellRendererComponent(JTable table, Object value, boolean isSelected, boolean hasFocus, int row, int column)`
    `` | `public JTree` | `getTree()`
    `` | `public Component` | `getTreeCellRendererComponent(JTree tree, Object value, boolean selected, boolean expanded, boolean leaf, int row, boolean hasFocus)`
    `` | `public Closure` | `getUpdate()`
    `` | `public Object` | `getValue()`
    `` | `public boolean` | `isDefaultRenderer()`
    `` | `public boolean` | `isExpanded()`
    `` | `public boolean` | `isFocused()`
    `` | `public boolean` | `isLeaf()`
    `` | `public boolean` | `isSelected()`
    `` | `public boolean` | `isTableHeader()`
    `` | `public void` | `setTableHeader(boolean tableHeader)`
    `` | `public void` | `setUpdate(Closure update)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### public ClosureRenderer()

    - #### public ClosureRenderer(Closure c)

  - ### Method Detail

    - #### public List getChildren()

    - #### public int getColumn()

    - #### public JList getList()

    - #### @Override
      public Component getListCellRendererComponent(JList list, Object value, int index, boolean isSelected, boolean cellHasFocus)

    - #### public int getRow()

    - #### public JTable getTable()

    - #### @Override
      public Component getTableCellRendererComponent(JTable table, Object value, boolean isSelected, boolean hasFocus, int row, int column)

    - #### public JTree getTree()

    - #### @Override
      public Component getTreeCellRendererComponent(JTree tree, Object value, boolean selected, boolean expanded, boolean leaf, int row, boolean hasFocus)

    - #### public Closure getUpdate()

    - #### public Object getValue()

    - #### public boolean isDefaultRenderer()

    - #### public boolean isExpanded()

    - #### public boolean isFocused()

    - #### public boolean isLeaf()

    - #### public boolean isSelected()

    - #### public boolean isTableHeader()

    - #### public void setTableHeader(boolean tableHeader)

    - #### public void setUpdate(Closure update)